## org.apache.batik.bridge.svg12
Class SVG12URIResolver

    java.lang.Object
      org.apache.batik.bridge.URIResolver
          org.apache.batik.bridge.svg12.SVG12URIResolver

    public class SVG12URIResolver

extends URIResolver

A URIResolver for SVG 1.2 documents. This is to allow resolution of fragment IDs within shadow trees to work properly.

Field Summary

Fields inherited from class org.apache.batik.bridge.URIResolver
`document, documentLoader, documentURI`

Constructor Summary
`SVG12URIResolver(org.w3c.dom.svg.SVGDocument doc, DocumentLoader dl)` Creates a new SVG12URIResolver object.

Method Summary
`protected org.w3c.dom.Node` `getNodeByFragment(java.lang.String frag, org.w3c.dom.Element ref)` Returns the node referenced by the given fragment identifier.
`protected java.lang.String` `getRefererBaseURI(org.w3c.dom.Element ref)` Returns the base URI of the referer element.

Methods inherited from class org.apache.batik.bridge.URIResolver
`getElement, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVG12URIResolver

    public SVG12URIResolver(org.w3c.dom.svg.SVGDocument doc,
                            DocumentLoader dl)

  Creates a new SVG12URIResolver object.

Method Detail

### getRefererBaseURI

    protected java.lang.String getRefererBaseURI(org.w3c.dom.Element ref)

  Returns the base URI of the referer element.

  Overrides:
    `getRefererBaseURI` in class `URIResolver`

### getNodeByFragment

    protected org.w3c.dom.Node getNodeByFragment(java.lang.String frag,
                                                 org.w3c.dom.Element ref)

  Returns the node referenced by the given fragment identifier. This is called when the whole URI just contains a fragment identifier and there is no XML Base URI in effect.

  Overrides:
    `getNodeByFragment` in class `URIResolver`
  Parameters:
    `frag` - the URI fragment
    `ref` - the context element from which to resolve the URI fragment

Copyright © 2008 Apache Software Foundation. All Rights Reserved.